/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_RESUMEN_TOTAL_WEEK_VIEW")
public class ResumenTotalWeekView implements Serializable{

    private static final long serialVersionUID = -6384789811291615117L;
    
    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "office_name")
    private String officeName;
    
    @Column(name = "closing__day_total")
    private BigDecimal closingDayTotal;
    
    @Column(name = "money_daily_today_total")
    private BigDecimal moneyDailyTodayTotal;
    
    @Column(name = "subtotal_total")
    private BigDecimal subtotalTotal;
    
    @Column(name = "opening_fee_total")
    private BigDecimal openingFeeTotal;
    
    @Column(name = "cobranza_today")
    private BigDecimal cobranzaToday;
    
    @Column(name = "colocation_total")
    private BigDecimal colocationTotal;
    
    @Column(name = "nomina_total")
    private BigDecimal nominaTotal;
    
    @Column(name = "adelantos_total")
    private BigDecimal adelantosTotal;
    
    @Column(name = "entradas_total")
    private BigDecimal entradasTotal;
    
    @Column(name = "gastos_admon_total")
    private BigDecimal gastosAdmonTotal;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public BigDecimal getClosingDayTotal() {
        return closingDayTotal;
    }

    public void setClosingDayTotal(BigDecimal closingDayTotal) {
        this.closingDayTotal = closingDayTotal;
    }

    public BigDecimal getMoneyDailyTodayTotal() {
        return moneyDailyTodayTotal;
    }

    public void setMoneyDailyTodayTotal(BigDecimal moneyDailyTodayTotal) {
        this.moneyDailyTodayTotal = moneyDailyTodayTotal;
    }

    public BigDecimal getSubtotalTotal() {
        return subtotalTotal;
    }

    public void setSubtotalTotal(BigDecimal subtotalTotal) {
        this.subtotalTotal = subtotalTotal;
    }

    public BigDecimal getOpeningFeeTotal() {
        return openingFeeTotal;
    }

    public void setOpeningFeeTotal(BigDecimal openingFeeTotal) {
        this.openingFeeTotal = openingFeeTotal;
    }

    public BigDecimal getCobranzaToday() {
        return cobranzaToday;
    }

    public void setCobranzaToday(BigDecimal cobranzaToday) {
        this.cobranzaToday = cobranzaToday;
    }

    public BigDecimal getColocationTotal() {
        return colocationTotal;
    }

    public void setColocationTotal(BigDecimal colocationTotal) {
        this.colocationTotal = colocationTotal;
    }

    public BigDecimal getNominaTotal() {
        return nominaTotal;
    }

    public void setNominaTotal(BigDecimal nominaTotal) {
        this.nominaTotal = nominaTotal;
    }

    public BigDecimal getAdelantosTotal() {
        return adelantosTotal;
    }

    public void setAdelantosTotal(BigDecimal adelantosTotal) {
        this.adelantosTotal = adelantosTotal;
    }

    public BigDecimal getEntradasTotal() {
        return entradasTotal;
    }

    public void setEntradasTotal(BigDecimal entradasTotal) {
        this.entradasTotal = entradasTotal;
    }

    public BigDecimal getGastosAdmonTotal() {
        return gastosAdmonTotal;
    }

    public void setGastosAdmonTotal(BigDecimal gastosAdmonTotal) {
        this.gastosAdmonTotal = gastosAdmonTotal;
    } 
    
}
